PHP ��U
前一頁 |  | 下一頁

# win32_query_service_status

(PECL)

win32_query_service_status -- Queries the status of a service

## Description

mixed win32_query_service_status ( string servicename [, string machine] )

Queries the current status for a service, returning an array of information.

## Parameters

servicename

  The short name of the service.

machine

  The optional machine name. If omitted, the local machine will be used.

## Return Values

Returns `FALSE` on failure, otherwise returns an array consisting of the following information:

ServiceType

  The dwServiceType.

CurrentState

  The dwCurrentState.

ControlsAccepted

  Which service controls are accepted by the service.

Win32ExitCode

  If the service exited, the return code from the process.

ServiceSpecificExitCode

  If the service exited with an error condition, the service specific code that is logged in the event log is visible here.

CheckPoint

  If the service is shutting down, holds the current check point number. This is used by the SCM as a kind of heart-beat to detect a wedged service process. The value of the check point is best interpreted in conjunction with the WaitHint value.

WaitHint

  If the service is shutting down it will set WaitHint to a checkpoint value that will indicate 100% completion. This can be used to implement a progress indicator.

ProcessId

  The windows process identifier. If 0, the process is not running.

ServiceFlags

  The dwServiceFlags.

前一頁 | 內容 | 下一頁
win32_get_last_control_message | 上一層 | win32_set_service_status